#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: wizards
version: 1.0.2
id: wizards-1.0.2-Bvr1Edy6LPn7U7YW1LtSfm
key: wizards-1.0.2-Bvr1Edy6LPn7U7YW1LtSfm
license: BSD-3-Clause
maintainer: liamoc@cse.unsw.edu.au
author: Liam O'\''Connor-Davis
synopsis: High level, generic library for interrogative user interfaces
description:
    @wizards@ is a package designed for the quick and painless development of /interrogative/ programs, which
    revolve around a \"dialogue\" with the user, who is asked a series of questions in a sequence much like an
    installation wizard.
    .
    Everything from interactive system scripts, to installation wizards, to full-blown shells can be implemented with
    the support of @wizards@.
    .
    It is developed transparently on top of a free monad, which separates out the semantics of the program from any
    particular interface. A variety of backends exist, including console-based "System.Console.Wizard.Haskeline" and
    "System.Console.Wizard.BasicIO", and the pure "System.Console.Wizard.Pure". It is also possible to write your
    own backends, or extend existing back-ends with new features. While both built-in IO backends operate on a
    console, there is no reason why @wizards@ cannot also be used for making GUI wizard interfaces.
    .
    .
    See the github page for examples on usage:
    .
    <http://www.github.com/liamoc/wizards>
    .
    For creating backends, the module "System.Console.Wizard.Internal" has a brief tutorial.
category: User Interfaces
abi: 6b6fc12333a908a4c84ee798cbf8defe
exposed: True
exposed-modules:
    System.Console.Wizard System.Console.Wizard.BasicIO
    System.Console.Wizard.Haskeline System.Console.Wizard.Internal
    System.Console.Wizard.Pure
import-dirs: /usr/lib/ghc-8.4.3/site-local/wizards-1.0.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/wizards-1.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/wizards-1.0.2
hs-libraries: HSwizards-1.0.2-Bvr1Edy6LPn7U7YW1LtSfm
depends:
    base-4.11.1.0 containers-0.5.11.0
    control-monad-free-0.6.2-D8gRCj9jdnL78y3kztZ3ka haskeline-0.7.4.2
    mtl-2.2.2 transformers-0.5.5.0
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             control-monad-free-0.6.2-D8gRCj9jdnL78y3kztZ3ka=34427b05c7b27fb04f95925ec28c2142
             haskeline-0.7.4.2=5a0ca4b6f598366f4b9d518e835471b0
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
haddock-interfaces: /usr/share/doc/haskell-wizards/html/wizards.haddock
haddock-html: /usr/share/doc/haskell-wizards/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

